package de.avatic.lcc.dto.generic;

public enum ContainerType {
    FEU(12030, 2350, 2390, 67.7, 24,21, "40' GP"),
    TEU(5890 ,2350,2390, 33.0, 11,10, "20' GP"),
    HC(12030, 2350, 2690, 76.4, 24,21,"40' HC"),
    TRUCK(13600,2450,  2650, 88.3, 34, 33, "Truck");

    private final int length;
    private final int width;
    private final int height;
    private final double volume;
    private final int euroPalletCount;
    private final int industrialPalletCount;
    private final String description;

    ContainerType(int length, int width, int height, double volume, int euroPalletCount, int industrialPalletCount, String description) {
        this.length = length;
        this.width = width;
        this.height = height;
        this.volume = volume;
        this.euroPalletCount = euroPalletCount;
        this.industrialPalletCount = industrialPalletCount;
        this.description = description;

    }
    public int getLength() {
        return length;
    }
    public int getWidth() {
        return width;
    }
    public int getHeight() {
        return height;
    }

    public double getVolume() {
        return volume;
    }

    public int getPalletCount(PalletType palletType) {
        return palletType == PalletType.EURO_PALLET ? euroPalletCount : industrialPalletCount;

    }

    public String getDescription() {
        return description;
    }
}
